Bug 653564

Summary: sw+postgres: cannot do anything with satellite-sync, cannot import name unique
Product: [Community] Spacewalk Reporter: Petr Sklenar <psklenar>
Component: ServerAssignee: Michael Mráka <mmraka>
Status: CLOSED CURRENTRELEASE QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 1.2CC: jhutar, slukasik
Target Milestone: ---Keywords: Regression
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: spacewalk-backend-1.2.71-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-19 16:16:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 623772    

Description Petr Sklenar 2010-11-15 17:24:14 UTC
Description of problem:
sw+postres: cannot do anything with satellite-sync

Version-Release number of selected component (if applicable):
sw1.2 nightly, running on postgres db

# rpm -qf `which satellite-sync`
spacewalk-backend-tools-1.2.69-1.el5


How reproducible:
deterministic

Steps to Reproduce:
1. satellite-sync -m dump -l
Unable to find synchronization tools.
Error: cannot import name unique

2. satellite-sync --help
Unable to find synchronization tools.
Error: cannot import name unique

Actual results:
Unable to find synchronization tools.

Expected results:
works as expected

Additional info:

Comment 1 Michael Mráka 2010-11-16 07:52:32 UTC
It has been already fixed by
commit d25edb9c03135db41aeb92dd8b859b7fd005026d
    fixed import of removed function, fixed inversed set operator

there are stalled packages on your system.

Comment 2 Jan Pazdziora 2010-11-19 16:16:08 UTC
With Spacewalk 1.2 released, marking as CLOSED CURRENTRELEASE.

https://www.redhat.com/archives/spacewalk-list/2010-November/msg00111.html